package com.mortals.xhx.module.attendance.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.annotation.Excels;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.attendance.model.AttendanceRecordDetailEntity;
import com.mortals.xhx.module.attendance.model.AttendanceRecordEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 考勤打卡记录信息视图对象
*
* @author zxfei
* @date 2023-04-07
*/
@Data
public class AttendanceRecordVo extends BaseEntityLong {

    private List<AttendanceGroupFixedworkSpecialVo> list;

    @Excels({
            @Excel(name = "上班打卡时间", width = 30, dateFormat = "yyyy-MM-dd", targetAttr = "goWorkDate", type = Excel.Type.EXPORT),
            @Excel(name = "上班打卡结果", readConverterExp = "1=正常,2=请假,3=缺卡,4=迟到,5=早退", targetAttr = "goWorkResult", type = Excel.Type.EXPORT),
            @Excel(name = "下班打卡时间", width = 30, dateFormat = "yyyy-MM-dd", targetAttr = "offWorkDate", type = Excel.Type.EXPORT),
            @Excel(name = "下班打卡结果", readConverterExp = "1=正常,2=请假,3=缺卡,4=迟到,5=早退", targetAttr = "offWorkResult", type = Excel.Type.EXPORT)

    })
    private AttendanceRecordDetailEntity attendanceRecordDetailEntity;

    /**
     * 考勤打卡记录详细信息信息
     */
    private List<AttendanceRecordDetailEntity> attendanceRecordDetailList=new ArrayList<>();;


    /** 开始 打卡日期 */
    private String attendanceDateStart;

    /** 结束 打卡日期 */
    private String attendanceDateEnd;

    /**
     * 班次id
     */
    private Long classId;

    /**
     * 班组id
     */
    private Long groupId;

    /**
     * 导出参数配置
     */
    private  List<String> properties;


    private List<Long> idList;
}

