package com.mortals.xhx.module.check.model;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.check.model.vo.CheckComplainRecordVo;
import lombok.Data;
/**
 * 评价绩效投诉核查信息实体对象
 *
 * @author zxfei
 * @date 2023-07-27
 */
@Data
public class CheckComplainRecordEntity extends CheckComplainRecordVo {
    private static final long serialVersionUID = 1L;

    /**
     * 记录ID
     */
    private Long recordId;
    /**
     * 员工ID
     */
    private Long staffId;
    /**
     * 员工姓名
     */
    @Excel(name = "员工姓名")
    private String staffName;
    /**
     * 工号
     */
    @Excel(name = "工号")
    private String workNum;
    /**
     * 窗口编号
     */
    @Excel(name = "窗口编号")
    private String windowNum;
    /**
     * 所属部门
     */
    private Long deptId;
    /**
     * 所属部门名称
     */
    @Excel(name = "所属部门名称")
    private String deptName;
    /**
     * 投诉标题
     */
    @Excel(name = "投诉标题")
    private String complainTitle;
    /**
     * 投诉内容
     */
    @Excel(name = "投诉内容")
    private String complainContent;
    /**
     * 投诉人真实姓名
     */
    @Excel(name = "投诉人真实姓名")
    private String complainRealName;
    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String contact;
    /**
     * 投诉时间
     */
    @Excel(name = "投诉时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date complainTime;
    /**
     * 投诉来源
     */
    @Excel(name = "投诉来源")
    private String complainSource;
    /**
     * 投诉设备
     */
    @Excel(name = "投诉设备")
    private String complainDevice;
    /**
     * 绩效规则id
     */
    private Long ruleId;
    /**
     * 规则名称
     */
    private String ruleName;
    /**
     * 扣分方式(1.系统自动,2.人工添加)
     */
    private Integer subMethod;
    /**
     * 扣分人员
     */
    @Excel(name = "扣分人员")
    private String deductPerson;
    /**
     * 扣分时间
     */
    private Date deductTime;
    /**
     * 扣分或增加分值
     */
    private BigDecimal score;
    /**
     * 核查人员
     */
    @Excel(name = "核查人员")
    private String checkPerson;
    /**
     * 核查时间
     */
    private Date checkTime;
    /**
     * 核查说明
     */
    @Excel(name = "核查说明")
    private String checkDesc;
    /**
     * 核查结果
     */
    @Excel(name = "核查结果")
    private String checkResult;
    /**
     * 处理状态(1.未处理,2.已处理)
     */
    private Integer checkStatus;
    /**
     * 备注
     */
    private String remark;
    /**
     * 附件名称，多个逗号分割
     */
    private String fileNames;
    /**
     * 附件下载地址，多个逗号分割
     */
    private String filePaths;
    /**
     * 绩效规则分类id
     */
    private Long categoryId;
    /**
     * 规则名称
     */
    private String categoryName;
    /**
     * 增减类型(1.增加,2.扣除)
     */
    @Excel(name = "增减类型", readConverterExp = "1=增加,2=扣除")
    private Integer subAddType;
    /**
     * 审核状态(1.同意,2.不同意)
     */
    private Integer auditStatus;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CheckComplainRecordEntity) {
            CheckComplainRecordEntity tmp = (CheckComplainRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.recordId = 0L;
        this.staffId = 0L;
        this.staffName = "";
        this.workNum = "";
        this.windowNum = "";
        this.deptId = 0L;
        this.deptName = "";
        this.complainTitle = "";
        this.complainContent = "";
        this.complainRealName = "";
        this.contact = "";
        this.complainTime = new Date();
        this.complainSource = "";
        this.complainDevice = "";
        this.ruleId = 0L;
        this.ruleName = "";
        this.subMethod = 1;
        this.deductPerson = "";
        this.deductTime = new Date();
        this.score = BigDecimal.ZERO;
        this.checkPerson = "";
        this.checkTime = new Date();
        this.checkDesc = "";
        this.checkResult = "";
        this.checkStatus = 1;
        this.remark = "";
        this.fileNames = "";
        this.filePaths = "";
        this.categoryId = 0L;
        this.categoryName = "";
        this.subAddType = 1;
        this.auditStatus = 1;
    }
}