package com.mortals.xhx.module.dingding.personal.service;


import com.aliyun.dingtalkattendance_1_0.models.GetLeaveRecordsResponseBody;
import com.aliyun.dingtalkworkflow_1_0.models.GetProcessInstanceResponseBody;
import com.dingtalk.api.response.OapiAttendanceVacationQuotaListResponse;
import com.dingtalk.api.response.OapiV2UserGetResponse;
import com.mortals.framework.common.Rest;
import com.mortals.xhx.module.dingding.IDingTalkService;
import com.mortals.xhx.module.dingding.personal.model.req.workmsg.WorkMsgReq;
import com.mortals.xhx.module.hik.person.model.req.org.OrgListReq;
import com.mortals.xhx.module.hik.person.model.req.person.PersonReq;
import com.mortals.xhx.module.hik.person.model.rsp.org.OrgDataInfo;
import com.mortals.xhx.module.hik.person.model.rsp.person.PersonDataInfo;
import org.apache.poi.ss.formula.functions.T;

/**
 * 钉钉人事相关服务类
 *
 * @author:
 * @date: 2023/7/14 13:54
 */
public interface IDingPersonService extends IDingTalkService {

    /**
     * 根据电话获取钉钉用户id
     *
     * @param mobile
     * @return
     */
    Rest<String> getPersonByMobile(String mobile);

    /**
     * 根据id获取用户电话
     *
     * @param id
     * @return
             */
    Rest<String> getPersonById(String id);

    /**
     * 根据code获取钉钉用户id
     *
     * @param code
     * @return
     */
    Rest<String> getPersonByCode(String code);


    /**
     * 发送工作消息
     * @param workMsgReq
     * @return
     */
    Rest<String>  sendWorkMsg(WorkMsgReq workMsgReq);

    /**
     * 审批详情
     * @param processInstanceId 审批实例ID。
     * @return
     */
    Rest<GetProcessInstanceResponseBody.GetProcessInstanceResponseBodyResult>  getOaRecordsById(String processInstanceId);

    /**
     * 查询userid的特定假期余额
     * @param user_id 被查询员工的id集合 多个用,分隔
     * @param leave_code 假期类型编码
     * @return
     */
    Rest<OapiAttendanceVacationQuotaListResponse.OapiLeaveQuotaUserListVo>  getLeaveRecordByUserId(String user_id, String leave_code);

}
